import sys

from PyQt5.QtWidgets import QWidget, QVBoxLayout, QLabel
from PyQt5.QtGui import QFont, QPixmap
from PyQt5.QtCore import Qt

import numpy as np


class UserManualTab(QWidget):

    def __init__(self, widget_tab):
        super().__init__()

        self.verticalLayout_main = QVBoxLayout(widget_tab)

        self.label_title = QLabel(self, alignment=Qt.AlignHCenter | Qt.AlignTop)
        self.label_title.setText("User Manual")
        self.label_title.setFont(QFont("Times", 30, weight=QFont.Bold))
        self.verticalLayout_main.addWidget(self.label_title)

        # pic = QPixmap("./View/acoustic_inversion_theory.png")
        # self.label_picture_theory = QLabel()
        # self.label_picture_theory.setPixmap(pic)
        # print(pic.width())
        # # self.label_picture_theory.setScaledContents(True)
        # self.label_picture_theory.resize(np.int(pic.width()/100), np.int(pic.height()/100))
        # self.verticalLayout_main.addWidget(self.label_picture_theory)



